<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use App\AdminPurchaesInvoice;
use App\DebitNote;
use App\AdminPeriodClosing;

use Illuminate\Http\Request;

class PurchaseReportController extends Controller
{
    public function view()
    {
        // dd(123);
        $selectedBranchId = session('selected_branch');

        $Debits = AdminPurchaesInvoice::with('account')->addSelect(DB::raw('id, account_id, account_type'), DB::raw('DATE(date) as date'), 'invoice_no', DB::raw('(total_gross_amount) as total_gross_amount'))
            ->where('branch_id', $selectedBranchId)
            ->whereNull('deleted_at')
            ->groupBy(DB::raw('DATE(date)'), 'invoice_no')
            ->orderBy(DB::raw('DATE(date)'))
            ->get();

        $Credits = DebitNote::with('account')->addSelect(DB::raw('id, account_id, account_type'), DB::raw('DATE(date) as date'), 'invoice_no', DB::raw('(total_gross_amount) as total_gross_amount'))
            ->where('branch_id', $selectedBranchId)
            ->whereNull('deleted_at')
            ->groupBy(DB::raw('DATE(date)'), 'invoice_no')
            ->orderBy(DB::raw('DATE(date)'))
            ->get();

        $mergedData = $Debits->concat($Credits);
        // dd($mergedData);
        $totalDebits = $Debits->sum('total_gross_amount');
        $totalCredits = $Credits->sum('total_gross_amount');

        $periodClosings = AdminPeriodClosing::where('branch_id', session()->get('selected_branch'))->pluck('to')->toArray();

        // dd($periodClosings);

        return view('crusher.reports.purchase_report', [
            'mergedData' => $mergedData,
            'totalDebits' => $totalDebits,
            'totalCredits' => $totalCredits,
            'periodClosings' => $periodClosings,
        ]);
    }
}
