<?php

namespace App\Services;
use Illuminate\Http\Request;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use Carbon\Carbon;
use PDF;
use Auth;
use App\Customer;
use App\Expense;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\WarehouseTransfer;
use App\AdminPurchaesInvoice;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use Illuminate\Support\Facades\DB;
use App\Services\ProfitAndLossOpeningBalanceService;

class ProfitAndLossLedgerReportServise

{
    protected $profitAndLossOpeningBalanceService;

    public function __construct(
        ProfitAndLossOpeningBalanceService $profitAndLossOpeningBalanceService
        ) {
        $this->ProfitAndLossOpeningBalanceService = $profitAndLossOpeningBalanceService;
    }

    public function ProfitAndLossLedgerReportServise($request)
    {

        $from_date = $request->from_date;
        $to_date = $request->to_date;

        $currentYearFirstDate = date("Y-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        list($OpeningBalanceNetProfit) = $this->ProfitAndLossOpeningBalanceService->profitAndLossOBReports($request, $request->from_date, $request->to_date);

        //   dd($OpeningBalanceNetProfit);

        $createObCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('class_of_account_id', '20')
            ->first();

            // dd($createObCash);

            if ($createObCash) {
                $AccountName = $createObCash->account_name;
                $cashAccountOpeningDate = $createObCash->date;
                if ($createObCash->type == 'debit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = $createObCash->opening_balance;
                    $createCreditObForCash = null;
                } elseif ($createObCash->type == 'credit' && $createObCash->date >= $from_date && $createObCash->date <= $to_date) {
                    $createDebitObForCash = null;
                    $createCreditObForCash = $createObCash->opening_balance;
                } else {
                    $createDebitObForCash = null;
                    $createCreditObForCash = null;
                }
            } else {
                $AccountName = null;
                $cashAccountOpeningDate = null;
                $createDebitObForCash = null;
                $createCreditObForCash = null;
            }

        $createObalanceCash = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            // ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('class_of_account_id', '20')
            ->first();

            if ($createObalanceCash) {
                $obAccountName = $createObalanceCash->account_name;
                $cashAccountDate = $createObalanceCash->date;
                if ($createObalanceCash->type == 'debit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = $createObalanceCash->opening_balance;
                    $createCreditObalanceForCash = null;
                } elseif ($createObalanceCash->type == 'credit' && $createObCash->date >= $currentYearFirstDate && $createObCash->date <= $oneDayPreviousDate) {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = $createObalanceCash->opening_balance;
                } else {
                    $createDebitObalanceForCash = null;
                    $createCreditObalanceForCash = null;
                }
            } else {
                $obAccountName = null;
                $cashAccountDate = null;
                $createDebitObalanceForCash = null;
                $createCreditObalanceForCash = null;
            }

            // dd($cashAccountId, $debitOpeningBalance, $creditOpeningBalance);

            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $AccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get();

            $PurchaesInvoiceTotal = $PurchaesInvoice->sum('total_net_amount');

            $SaleInvoice = AdminSalesInvoice::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                    ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                ->get();

            $saleInvoiceTotal = $SaleInvoice->sum('total_net_amount');

            $CreditNote = CreditNote::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                ->get();

            $CreditNoteTotal = $CreditNote->sum('total_net_amount');

            $DebitNote = DebitNote::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                    ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                ->get();

            $DebitNoteTotal = $DebitNote->sum('total_net_amount');

            $PaymentVoucher = AdminPaymentVoucher::with('expense')
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                    ->whereNull('deleted_at')
                ->whereHas('expense', function ($query) use ($AccountName) {
                    $query->where('account_id', $AccountName);
                })
                    ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                    ->get();
            $Quotation = Quotation::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->whereNull('deleted_at')
                ->groupBy('quotation_no')
                ->get();

            $QuotationTotal = $Quotation->sum('total_net_amount');

            $JournalVoucherTotalForDebit = AdminJournalVoucher::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->where('type', 'debit')
                ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                ->get()
                ->sum('amount');

            $JournalVoucherTotalForCredit = AdminJournalVoucher::where('account_id', $AccountName)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->where('type', 'credit')
                ->whereNull('deleted_at')
                ->groupBy('invoice_no')
                ->get()
                ->sum('amount');

            $debitTotal = $createDebitObForCash + $saleInvoiceTotal + $JournalVoucherTotalForDebit  + $DebitNoteTotal + $QuotationTotal ;

            $creditTotal = $createCreditObForCash + $PurchaesInvoiceTotal + $CreditNoteTotal + $JournalVoucherTotalForCredit ;

            // return [$debitTotal,$creditTotal];

        $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_purchase_amount_with_cf');

        $ObSaleInvoice = AdminSalesInvoice::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObCreditNote = CreditNote::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObDebitNote = DebitNote::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('total_net_amount');

        $ObQuotation = Quotation::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->whereNull('deleted_at')
            ->groupBy('quotation_no')
            ->get()
            ->sum('total_net_amount');

        $ObJournalVoucherTotalForDebit = AdminJournalVoucher::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'debit')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        $ObJournalVoucherTotalForCredit = AdminJournalVoucher::where('account_id', $obAccountName)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('type', 'credit')
            ->whereNull('deleted_at')
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

        $ObDebit = 0;
        $ObCredit = 0;

        $ObdebitTotal = $OpeningBalanceNetProfit + $createDebitObalanceForCash + $ObSaleInvoice + $ObJournalVoucherTotalForDebit  + $ObDebitNote + $ObQuotation;

        $ObcreditTotal = $createCreditObalanceForCash + $ObPurchaesInvoice + $ObCreditNote + $ObJournalVoucherTotalForCredit;

        if ($ObdebitTotal > $ObcreditTotal) {
              $ObDebit = $ObdebitTotal - $ObcreditTotal;
          } elseif ($ObdebitTotal < $ObcreditTotal) {
              $ObCredit = $ObcreditTotal - $ObdebitTotal;
          }

        $DebitopeningBalance = $ObDebit;
        $creditOpeningBalance = $ObCredit;

        // Closing Balance

        $DebitCB = $debitTotal + $DebitopeningBalance;

        $CreditCB = $creditTotal + $creditOpeningBalance;

        // Calculate the closing balance
        $ClosingBalance = $DebitCB - $CreditCB;

        // Initialize variables for positive and negative closing balances
        $ProfitAndLossLedgerReportDebitCB = 0;
        $ProfitAndLossLedgerReportCreditCB = 0;

        // Determine if the closing balance is positive or negative
        if ($ClosingBalance > 0) {
            // If positive, store it in the positive closing balance variable
            $ProfitAndLossLedgerReportDebitCB = $ClosingBalance;
        } elseif ($ClosingBalance < 0) {
            // If negative, store its absolute value in the negative closing balance variable
            $ProfitAndLossLedgerReportCreditCB = abs($ClosingBalance);
        }

        return [$ProfitAndLossLedgerReportDebitCB,$ProfitAndLossLedgerReportCreditCB,$from_date, $to_date,];

    }

}
