<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;

class User extends Authenticatable
{
    use Notifiable;
    use HasRoles;

    /**
     * The attributes that are mass assignable.
     *
     * @var array

     */

     protected $table = 'users';


    protected $fillable = [
        'name', 'email', 'password', 'agreed',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function permissions()
    {
        return $this->hasMany(AssignedPermission::class, 'subadmin_id', 'id');
    }

    public function company()
    {
        return $this->hasOne(Company::class, 'user_id', 'id');
    }

    public function users()
    {
        return $this->hasMany(User::class, 'admin_id', 'id');
    }

    public function notifications()
    {
        return $this->hasMany(NotificationTrack::class, 'user_id', 'id');
    }

    public function reminders()
    {
        return $this->hasMany(UserRemainder::class, 'user_id', 'id');
    }
}
