<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdminJournalVouchersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admin_journal_vouchers', function (Blueprint $table) {
            $table->id();
            $table->string('invoice_no')->nullable();
            $table->date('date')->nullable();
            $table->unsignedBigInteger('branch_id')->nullable();
            $table->nullableMorphs('account'); //belong to App\Customer, App\Supplier, App\Expense, App\AdminOtherAccount
            $table->string('narration')->nullable();
            $table->enum('type', ['debit', 'credit'])->nullable();
            $table->double('amount')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('admin_journal_vouchers');
    }
}
