@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Item Group Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="{{route('software.item_groups.transfer.create')}}">
                                    <button class="btn btn-cust1 float-right cust-btn1" type="submit">Create Item
                                        Group Transfer
                                    </button>
                                </a>
                                <a href="{{ route('software.item_groups.create') }}">
                                    <button class="btn btn-cust1 float-right" type="submit">Create Item Group
                                    </button>
                                </a>
                            </div>
                        </div>

                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Item Group</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @forelse ($itemGroups as $group)
                                        <tr>
                                            <td>{{$group->name}}</td>
                                            <td>
                                                <a href="{{route('software.item_groups.show', ['item_group'=>$group->id])}}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                                <a href="{{route('software.item_groups.edit', ['item_group'=>$group->id])}}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                    <form action="{{ route('software.item_groups.delete', ['item_group' => $group->id]) }}" method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit" class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>
                        </div>



                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
