@extends('layouts.crusher')
@section('content')
@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branche = Branches::where('id', $selectedBranchId)->first();

@endphp
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Debit Note (Purchase Return)</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('software.debit_notes.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Debit Note</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Debit Voucher #</th>
                                    <th>Sale Invoice #</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($debitNotes as $debitNote)
                                    {{-- @dd($debitNote)     --}}
                                    <tr>
                                        <td>{{ $debitNote->date }}</td>
                                        <td>{{ $debitNote->invoice_no }}</td>
                                        <td>{{ $debitNote->sales_invoice_no }}</td>
                                        {{-- <td>{{ $debitNote->total_net_amount }}</td> --}}
                                        @if (!$debitNote->trashed())
                                        <td>{{ number_format($debitNote->total_gross_amount, session('branch')->currency_decimal) }}</td>
                                        @else
                                            <td>-</td>
                                        @endif
                                        <td>
                                            @if (
                                                !empty(($branchId = session()->get('selected_branch'))) &&
                                                    Branches::hasBranchPermission($branchId, 'view-print-debit-note-purchase-return-voucher'))
                                                <a
                                                    href="{{ route('software.debit_notes.show', ['debit_note' => $debitNote->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                            @endif


                                            @if (!$debitNote->trashed())
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'edit-debit-note-purchase-return-voucher'))
                                                <a
                                                    href="{{ route('software.debit_notes.edit', ['debit_note' => $debitNote->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                @endif
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'cancel-debit-note-purchase-return-voucher'))
                                                <form action="{{ route('software.debit_notes.delete') }}" method="POST"
                                                    class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <input type="hidden" name="invoice_no"
                                                        value="{{ $debitNote->invoice_no }}">
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                                @endif

                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
