@extends('layouts.crusher')
@section('content')
@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branche = Branches::where('id', $selectedBranchId)->first();

@endphp
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Opening Balance For Inventory</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('software.opening_balances.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Opening Balance</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Voucher Number</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($openingBalances as $openingBalance)
                                    <tr>
                                        <td>{{ $openingBalance->date }}</td>
                                        <td>{{ $openingBalance->invoice_no }}</td>
                                        @if (!$openingBalance->trashed())
                                        <td>{{ number_format($openingBalance->total_amount, session('branch')->currency_decimal) }}</td>
                                        @else
                                            <td>-</td>
                                        @endif
                                        <td>
                                            @if (
                                                !empty(($branchId = session()->get('selected_branch'))) &&
                                                    Branches::hasBranchPermission($branchId, 'view-print-opening-balances-for-inventory'))
                                                <a
                                                    href="{{ route('software.opening_balances.show', ['opening_balance' => $openingBalance->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                            @endif

                                            @if (!$openingBalance->trashed())
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'edit-opening-balances-for-inventory'))

                                                <a
                                                    href="{{ route('software.opening_balances.edit', ['opening_balance' => $openingBalance->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                @endif

                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'cancel-opening-balances-for-inventory'))

                                                    <form action="{{ route('software.opening_balances.delete') }}" method="POST"
                                                        class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <input type="hidden" name="invoice_no"
                                                            value="{{ $openingBalance->invoice_no }}">
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                            class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                @endif

                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>

                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
