@extends('layouts.crusher')
@section('content')
@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branche = Branches::where('id', $selectedBranchId)->first();

@endphp
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Quotation</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('software.quotations.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Create
                                    Quotation</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Quoattaion Number</th>
                                    <th>Account Name</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($quotations as $quotation)
                                    {{-- @dd($quotation) --}}
                                    {{-- @dd($quotation)     --}}
                                    <tr>
                                        <td>{{ $quotation->date }}</td>
                                        <td>{{ $quotation->quotation_no }}</td>
                                        <td>{{ $quotation->account->name_of_organisation ?? ($quotation->account->account_name ?? $quotation->account->first_name . ' ' . $quotation->account->last_name) }}
                                        </td>
                                        {{-- <td>{{ $quotation->total_net_amount }}</td> --}}
                                        @if (!$quotation->trashed())
                                        <td>{{ number_format($quotation->total_gross_amount, session('branch')->currency_decimal) }}</td>
                                        @else
                                            <td>-</td>
                                        @endif
                                        <td>
                                            @if (
                                                !empty(($branchId = session()->get('selected_branch'))) &&
                                                    Branches::hasBranchPermission($branchId, 'view-print-quotation'))
                                                <a
                                                    href="{{ route('software.quotations.show', ['quotation' => $quotation->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                            @endif


                                            @if (!$quotation->trashed())
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'edit-quotation'))
                                                    <a
                                                        href="{{ route('software.quotations.edit', ['quotation' => $quotation->id]) }}">
                                                        <i class="far fa-edit cust-icon2"></i></a>
                                                @endif

                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'cancel-quotation'))
                                                    <form
                                                        action="{{ route('software.quotation.delete', ['quotation' => $quotation->id]) }}"
                                                        method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                            class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                @endif

                                                <a href="{{ route('software.delivery_notes.create', ['quotation_no' => $quotation->quotation_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        DO</button>
                                                </a>
                                                <a href="{{ route('software.admin_sales_invoice.create', ['quotation_no' => $quotation->quotation_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Sale Invoice</button>
                                                </a>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
