@extends('layouts.superadmin')
@section('content')

<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <!-- end row -->

    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                            <h6 class="card-title mb-4 titlcust">Download Documents</h6>
                        </div>

                    </div>
                    <div class="card-body">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Company Name</th>
                                        <th>Branch Name</th>
                                        <th>Submited Date</th>
                                        <th>Files</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($ReceivedVouchers as $ReceivedVoucher)
                                        <tr>
                                            <td>
                                                @if ($ReceivedVoucher->branch && $ReceivedVoucher->branch->company)
                                                    {{ $ReceivedVoucher->branch->company->name }}
                                                    @php
                                                        $companyName = $ReceivedVoucher->branch->company->name;
                                                    @endphp
                                                @else
                                                    N/A
                                                @endif
                                            </td>
                                            <td>
                                                @if ($ReceivedVoucher->branch)
                                                    {{ $ReceivedVoucher->branch->name }}
                                                    @php
                                                        $branchName = $ReceivedVoucher->branch->name;
                                                        $branchCurrency = $ReceivedVoucher->branch->currency;
                                                        $branchPrice = $ReceivedVoucher->branch->price;
                                                    @endphp
                                                @else
                                                    N/A
                                                @endif
                                            </td>
                                            <td>{{ $ReceivedVoucher->created_at->format('Y-m-d h:i:s') }}</td>
                                            <td>
                                                <a>
                                                    <p>{{ $ReceivedVoucher->files }}</p>
                                                    <a class="btn btn-outline-primary" href="{{ asset('/storage/'.$ReceivedVoucher->voucher) }}">Download Files</a>
                                                    @if ($ReceivedVoucher->branch && !$ReceivedVoucher->branch->status)
                                                        <form action="{{ route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id]) }}" method="POST">
                                                            @csrf
                                                            @method('put')
                                                            <button class="btn btn-outline-primary" type="submit">Unblock Branch</button>
                                                        </form>
                                                    @elseif ($ReceivedVoucher->branch)
                                                        <form action="{{ route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id]) }}" method="POST">
                                                            @csrf
                                                            @method('put')
                                                            <button class="btn btn-outline-primary" type="submit">Block Branch</button>
                                                        </form>
                                                    @endif
                                                </a>
                                            </td>
                                            <td>
                                                <form action="{{ URL::to('/payments/create') }}">

                                                    <input type="hidden" value="{{$companyName}}" name="companyName">
                                                    <input type="hidden" value="{{$branchName}}" name="branchName">
                                                    <input type="hidden" value="{{$branchCurrency}}" name="branchCurrency">
                                                    <input type="hidden" value="{{$branchPrice}}" name="branchPrice">

                                                    <button type="submit" class="btn btn-primary">Add Payment</button>

                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                    <!-- end col -->



                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>

    <!-- end row -->

    <!-- end row -->

    <!-- end row -->
</div>
<!-- End Page-content -->
@endsection
