<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CreditNote extends Model
{
    use SoftDeletes;

    public function expenses()
    {
        return $this->hasMany(CreditNoteExpense::class, 'credit_note_id', 'id');
    }

    public function item()
    {
        return $this->belongsTo(ItemName::class, 'item_id', 'id');
    }

    public function warehouse()
    {
        return $this->belongsTo(AdminWareHouse::class, 'warehouse_id', 'id');
    }

    function account()
    {
        return $this->morphTo();
    }

    public function buyer()
    {
        return $this->hasOne(OtherAccountBuyer::class, 'invoice_no', 'invoice_no');
    }

    public function customer()
    {
        return $this->belongsTo(Customer::class, 'account_id', 'id');
    }
    public function supplier()
    {
        return $this->belongsTo(Supplier::class, 'account_id', 'id');
    }
    public function StaffAndSalesman()
    {
        return $this->belongsTo(StaffAndSalesman::class, 'account_id', 'id');
    }
    public function Expense()
    {
        return $this->belongsTo(Expense::class, 'account_id', 'id');
    }
    public function AdminOtherAccount()
    {
        return $this->belongsTo(AdminOtherAccount::class, 'account_id', 'id');
    }
}
