<?php

namespace App\Http\Controllers;

use App\Remainder;
use App\Services\Utils;
use App\User;
use App\UserRemainder;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Session;

class RemainderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function adminRemainder()
    {
        $selected_location = Utils::getLocation();
        // if(Auth::user()->hasRole('user')){
            $remainders = Remainder::where('location_id', $selected_location)->where('user_id', Auth::user()->id)->get();
        // }else{
        //     $remainders = UserRemainder::Where('user_id', Auth::user()->id)->get();
        // }
        $selected_location = $selected_location;
        return view('user.others.remainders.admin_remainders', compact('remainders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $remainders = UserRemainder::Where('user_id', Auth::user()->id)->get();
        return view('user.others.remainders.index', compact('remainders'));
    }

    public function create()
    {
        return view('user.others.remainders.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $user_remainder = new UserRemainder;
        $user_remainder->user_id = Auth::user()->id;
        $user_remainder->title = $request->title;
        $user_remainder->description = $request->description;
        $user_remainder->status = "Active";
        $user_remainder->save();
        Session::flash('alert-success', 'Remainder send successfully');
        return redirect('/others/remainders');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $remainder = UserRemainder::find($id);
        $remainder->delete();
        Session::flash('alert-success', 'Remainder Deleted successfully');
        return redirect('/others/remainders');
    }
}
