<?php

namespace App\Http\Controllers\MainMenu;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use Auth;
use DB;
use Storage;
use Session;
use Carbon\Carbon;

use App\Services\Slug;

use App\Remainder;
use App\Country;
use App\Location;
use App\LocationPermission;
use App\User;

class RemainderController extends Controller
{
    protected $slug;

    public function __construct(Slug $slug)
    {
        $this->slug = $slug;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $countries = Country::all();
        $locations = Location::all();

        $remainders = Remainder::all();
        return view('user.main_menu.remainders.index', compact('countries', 'locations', 'remainders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $remainder = new Remainder();
        $remainder->country_id = $request->country;
        $remainder->location_id = $request->location;
        $remainder->user_id = $request->user;
        $remainder->title = $request->title;
        $remainder->description = $request->description;
        $remainder->status = 'active';
        $remainder->save();
        Session::flash('alert-success', 'Remainder send successfully');
        return redirect('/main-menu/remainders');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Remainder  $remainder
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $remainder = Remainder::find($id);
        $location = Location::where('id', $remainder->location_id)->first();
        $user = User::Where('id', $remainder->user_id)->first();
        return view('user.main_menu.remainders.show', compact('location', 'user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Remainder  $remainder
     * @return \Illuminate\Http\Response
     */
    public function edit(Remainder $remainder)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Remainder  $remainder
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Remainder $remainder)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Remainder  $remainder
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $remainder = Remainder::find($id);
        $remainder->delete();
        Session::flash('alert-success', 'Remainder Deleted successfully');
        return redirect('/main-menu/remainders');
    }
}
