<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\StaffAndSalesman;
use App\AdminSalesInvoice;
use App\CreditNote;
class SalesmanReportController extends Controller
{
    public function view()
    {
        $SalesmanReports = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->get();

        return view('crusher.reports.salesman_report',compact('SalesmanReports'));
    }
    public function index()
    {
        if (!empty(($branchId = session()->get('selected_branch'))) && !Branches::hasBranchPermission($branchId, 'staff-and-salesmen-account-master')) return response()->json(['status' => false, 'error' => 'Unauthorized'], 403);
        $staffs = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->orderBy('id', 'desc')->get();
        return view('crusher.staff_master.index', compact('staffs'));
    }

    public function saleManReport(Request $request) {
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $selectedSalesmanId = $request->selected_salesman;

        $selectedSalesmanIdName = StaffAndSalesman::find($selectedSalesmanId);

        $AdminSalesInvoice = AdminSalesInvoice::where('account_id', $selectedSalesmanId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $CreditNotes = CreditNote::where('account_id', $selectedSalesmanId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        // dd($CreditNote);

        return view('crusher.reports.salesman-reports', compact('from_date', 'to_date', 'AdminSalesInvoice','CreditNotes','selectedSalesmanIdName'));
    }



}
