@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <form action="{{ route('allStockQuery') }}" method="POST" class="outer-repeater" id="reportForm">
                        @csrf
                        <div class="row">
                            <div class="col-md-6" id="from_date_col">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input id="from_date" name="from_date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6"  id="to_date_col">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input id="to_date" name="to_date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label name="ledger_account_class_name" class="control-label">Select Type of report</label>
                                    <select class="ledger_account_class form-control select2" id="query_class" name="ledger_account_class_name" required>
                                        <option value="item_query">Particulars Item Query</option>
                                        <option value="group_query">Group Stock Query</option>
                                        <option value="stock_query">Complete Stock Query</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6" id="group_query">
                                <div class="form-group">
                                    <label class="control-label">Particulars</label>
                                    <select class="form-control select2" id="group_stock" name="group_stock">
                                        <option value="">Select Item Group</option>
                                        @foreach ($itemGroups as $itemGroup)
                                            <option value="{{$itemGroup->id}}">{{$itemGroup->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6" id="item_query">
                                <div class="form-group">
                                    <label class="control-label">Particulars</label>
                                    <select class="form-control select2" id="item_stock" name="item_stock">
                                        <option value="">Select Item</option>
                                        @foreach ($itemNames as $item)
                                            <option value="{{$item->id}}">{{$item->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>

                        {{-- <div class="custom-control custom-switch mb-2" dir="ltr" id="showCost">
                            <input name="showCost" type="checkbox" class="custom-control-input selectallmaster"
                                id="customSwitch75" unchecked>
                            <label class="custom-control-label titlcust" for="customSwitch75">
                                Show Cost</label>
                        </div>

                        <div class="custom-control custom-switch mb-2" dir="ltr" id="showQty">
                            <input name="showQty" type="checkbox" class="custom-control-input selectallmaster"
                                id="customSwitch75" unchecked>
                            <label class="custom-control-label titlcust" for="customSwitch75">
                                Show Quantity</label>
                        </div> --}}


                        <div class="custom-control custom-switch mb-2" dir="ltr" id="showCost">
                            <input name="showCost" type="checkbox" class="custom-control-input selectallmaster" id="customSwitch75Cost" unchecked>
                            <label class="custom-control-label titlcust" for="customSwitch75Cost">
                                Show Cost
                            </label>
                        </div>

                        <div class="custom-control custom-switch mb-2" dir="ltr" id="showQty">
                            <input name="showQty" type="checkbox" class="custom-control-input selectallmaster" id="customSwitch75Qty" unchecked>
                            <label class="custom-control-label titlcust" for="customSwitch75Qty">
                                Show Cost
                            </label>
                        </div>


                        <button type="submit" class="btn btn-cust1"><i class="fas fa-check"></i>
                            Disply</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    $(document).ready(function () {
        $("#group_query ,#showQty").hide();

        $("#query_class").change(function () {
            $("#group_query, #item_query, #showCost, #showQty").hide();

            var selectedValue = $(this).val();

            if (selectedValue === "group_query") {
                $("#group_query, #showQty").show();
            } else if (selectedValue === "item_query") {
                $("#item_query, #from_date_col, #to_date_col ,#showCost").show();
            } else if (selectedValue === "stock_query") {
                $("#showQty").show();

            }
        });
    });
</script>

@endsection
