@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Payment Voucher</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form
                        action="{{ route('crusher.payment_vouchers.update', ['payment_voucher' => $paymentVouchers[0]->id]) }}"
                        class="outer-repeater" method="POST">
                        @csrf
                        @method('put')

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Payment Voucher #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        name="invoice_no" value="{{ $paymentVouchers[0]->invoice_no }}">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}" name="date"
                                        value="{{ $paymentVouchers[0]->date }}">
                                </div>
                            </div>
                        </div>

                        <br>


                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Select Method</label>
                                    <select class="form-control paymentMethod select2" id="myDropdown"
                                        onchange="myFunction()" name="payment_method">
                                        <option>Select Method</option>
                                        <option value="cash"
                                            {{ $paymentVouchers[0]->payment_method == 'cash' ? 'selected' : '' }}>Cash
                                        </option>
                                        <option value="bank"
                                            {{ $paymentVouchers[0]->payment_method == 'bank' ? 'selected' : '' }}>Bank
                                        </option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Select Account</label>
                                    <select class="form-control bank select2" name="bank_id">
                                        <option value="">Select Bank Account</option>
                                        <option value="{{ $paymentVouchers[0]->bank_id }}" {{ $paymentVouchers[0]->bank_id ? 'selected' : '' }}>
                                            {{ $paymentVouchers[0]->bank_id }}
                                        </option>
                                        @foreach ($Bankaccounts as $Bankaccount)
                                            <option value="{{ $Bankaccount->id }}">
                                                {{ $Bankaccount->account_name }}
                                            </option>
                                        @endforeach
                                    </select>


                                </div>
                            </div>
                            <div class="col-md-6">

                            </div>
                            <div class="col-md-6" id="pricehidden1" style="display: none;">
                                <div class="form-group">
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Cheaque No #"
                                        id="example-password-input" name="cheaque_no"
                                        value="{{ $paymentVouchers[0]->cheaque_no }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                            </div>
                            <div class="col-md-6" id="pricehidden2" style="display: none;">
                                <div class="form-group">
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        name="cheaque_date" value="{{ $paymentVouchers[0]->cheaque_date }}">
                                </div>
                            </div>
                            <div class="col-md-6">
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Account Name</th>
                                            <th>Amount</th>
                                            <th>BillWise/OnAccount</th>
                                            <th>Select Invoice</th>
                                            <th>Delete</th>

                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        @forelse ($paymentVouchers[0]->expense as $expense)
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control "
                                                                    name="account_id[]">
                                                                    <option>Select Account</option>
                                                                    @foreach ($accounts as $account)
                                                                        <option value="{{ $account->id }}"
                                                                            {{ $expense->account_id == $account->id ? 'selected' : '' }}
                                                                            data-account-type="{{ $account->table_name }}" data-account-name="{{ $account->account_name }}">
                                                                            {{ $account->account_name }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type" name="account_type[]" id="account_type">
                                                        <input type="hidden" name="account_name[]" class="account_name">
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]" value="{{ $expense->amount }}">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem "
                                                                    name="bill_wise_id[]">
                                                                    <option value="BillWise"
                                                                        {{ $expense->bill_wise_id == 'BillWise' ? 'selected' : '' }}>
                                                                        BillWise</option>
                                                                    <option value="OnAccount"
                                                                        {{ $expense->bill_wise_id == 'OnAccount' ? 'selected' : '' }}>
                                                                        On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group" id="accountSelect">
                                                                <select class="form-control selectItem select2"
                                                                    name="inovice_id[]">
                                                                    @foreach ($salesInvoices as $si)
                                                                        <option value="{{ $si->invoice_no }}"
                                                                            {{ $expense->inovice_id == $si->invoice_no ? 'selected' : '' }}>
                                                                            {{ $si->invoice_no }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        @empty
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control select2 "
                                                                    name="account_id[]">
                                                                    <option>Select Account</option>
                                                                    @foreach ($accounts as $account)
                                                                        <option value="{{ $account->id }}"
                                                                            data-account-type="{{ $account->table_name }}">
                                                                            {{ $account->account_name }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type"
                                                                name="account_type[]" id="account_type">
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="bill_wise_id[]">
                                                                    <option value="" selected disabled selected>
                                                                        Select Type...
                                                                    </option>
                                                                    <option value="BillWise">BillWise</option>
                                                                    <option value="OnAccount">On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="inovice_id[]">
                                                                    <option value="" selected disabled selected>
                                                                        Select Account
                                                                    </option>
                                                                    @foreach ($salesInvoices as $si)
                                                                        <option value="{{ $si->invoice_no }}">
                                                                            {{ $si->invoice_no }}</option>
                                                                    @endforeach
                                                                </select>
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        @endforelse

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <button id="add-more-btn" class="btn btn-outline-primary">add
                                    more</button>
                            </div>
                            <!-- <div class="col-md-8">
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <strong>
                                                                                    <label>Total Quantity</label>
                                                                                    <span>lorem ipsum</span>
                                                                                </strong>
                                                                            </div> -->
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Gross Amount:</label>
                                    <span id="netTotal"></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>

                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                {{-- <form class="repeater" enctype="multipart/form-data">
                                    <div data-repeater-list="group-a">
                                        <div data-repeater-item class="row">
                                        </div>
                                </form> --}}

                                <div class="repeater-container" data-repeater-list="group-a">
                                    <div data-repeater-item class="row repeater-row">

                                        <div class="form-group col-md-5">
                                            <select class="form-control select2 expense" name="expense_id[]">
                                                <option value="" selected disabled selected>Select Account</option>
                                                @foreach ($expensesAccount as $expenseOption)
                                                    <option value="{{ $expenseOption->id }}"
                                                        data-expense-type="{{ $expenseOption->table_name }}">
                                                        {{ $expenseOption->account_name }}</option>
                                                @endforeach
                                            </select>
                                            <input type="hidden" name="expense_type[]" class="expense-type">
                                        </div>
                                        <div class="form-group col-md-5">
                                            <input class="form-control sub_account_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                placeholder="Enter Amount" id="sub_account_amount"
                                                name="expense_amount[]" value="{{ $paymentVouchers[0]->expense_amount }}">
                                        </div>
                                        <div class="align-self-center col-md-2">
                                            <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                onclick="deleteRow(this)"></i>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-lg-5">
                                    <input data-repeater-create type="button" class="btn btn-outline-primary"
                                        value="Add ledger" id="addLedgerButton" />
                                </div>
                            </div>

                            <div class="col-md-8">
                            </div>
                            <br>
                            <div class="col-md-4">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Amount in Words:</label>
                                    <span id="total_net_amount_words"></span>
                                </strong>
                            </div>
                        </div>

                        <br><br>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Narrations</label>
                                    <textarea class="form-control" rows="4" type="text" placeholder="Enter Address"
                                        id="example-textarea-input" name="narration">{{ $paymentVouchers[0]->narration }}

                                    </textarea>
                                </div>
                            </div>

                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Update Payment Voucher
                        </button>



                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal1Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal1Label">Add New Account</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Form Will Be visible</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>
    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // $('#add-clone-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "cash") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    <script>
        $(document).ready(function() {

            // Calculate and update net total
            function calculateNetTotal() {
                var totalAmount = 0;
                $('.amount-input').each(function() {
                    var amount = parseFloat($(this).val());
                    if (!isNaN(amount)) {
                        totalAmount += amount;
                    }
                });

                $('#netTotal').text(totalAmount.toFixed({{session()->get('branch')->currency_decimal}})); // Display the net total

                // Convert total net amount to words and update the corresponding field
                var totalNetAmountWords = numberToWords(totalAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                $('#total_net_amount_words').text(totalNetAmountWords);
            }

            // Calculate and update net total on input change
            $(document).on('change', '.amount-input', function() {
                calculateNetTotal();
            });
            calculateNetTotal();

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();

                // Update the net total after deleting a row
                calculateNetTotal();
            });

            // ... (rest of your existing script) ...
        });
    </script>

    <script>
        $(document).ready(function() {
            // Function to attach event listeners to a new row
            function attachListenersToNewRow(row) {
                row.find('select[name="account_id[]"]').on('change', function() {
                    var selectedOption = $(this).find('option:selected');
                    var accountType = selectedOption.data('account-type');
                    var hiddenInput = $(this).closest('tr').find('.account_type');
                    if (hiddenInput.length) {
                        hiddenInput.val(accountType);
                    }
                });
            }

            // Event handler for the add-more-btn click
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);

                // Attach event listeners to the new row
                attachListenersToNewRow(newRow);
            });

            // Attach initial event listeners to the first row
            attachListenersToNewRow($('#table-body tr').first());
        });
    </script>
    <script>
        $(document).ready(function() {
            $("#accountSelect").hide();

            $("select[name='bill_wise_id[]']").on("change", function() {
                if ($(this).val() === "BillWise") {
                    $("#accountSelect").show();
                } else {
                    $("#accountSelect").hide();
                }
            });

            function updateAccountTypeAndName() {
                var selectedOption = $('#account option:selected');
                var accountType = selectedOption.data('account-type');
                var accountName = selectedOption.data('account-name');
                $('.account_type').val(accountType);
                $('.account_name').val(accountName);
            }

            updateAccountTypeAndName();

            $('#account').change(updateAccountTypeAndName);
        });
    </script>
@endsection
