@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row" style="margin-bottom: 20px;">
        <a href="/main-menu/profit-and-loss/select-date" class="btn btn-primary">Go Back</a>
    </div>
    <div class="row gray-bg">
        <h2><strong>Profit And Loss Report All Locations</strong></h2>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            @include('errors.list')
        </div>
    </div>
    <div class="row top1">
        <div class="col-md-12">
            <h3><strong>From {{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} To {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></h3>
        </div>
    </div>

    <div class="table-responsive top1">
        @foreach ($locations as $key => $location)
            <div class="row gray-bg top1" style="text-align: center">
                <h3><strong>Profit And Loss Report For Location {{$location->name}}</strong></h2>
            </div>
            <div class="row top1">
                <div class="col-md-6">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th colspan="3">Liabilities</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                            <tr>
                                <td width="30%"><b>Reserve And Surplus</b></td>
                                <td width="10%"></td>
                                @if ($reserve_and_surplus_total)
                                    <td width="10%"><b>{{$reserve_and_surplus_total[$key]}}</b></td>    
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>

                            
                            <tr>
                                <td width="30%"><b>Retained Earnings</b></td>
                                <td width="10%"></td>
                                @if ($retained_earnings_total)
                                    <td width="10%"><b>{{$retained_earnings_total[$key]}}</b></td>    
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                            </tr>
                            <tr>
                                <td width="30%"><b>Capital Account</b></td>
                                <td width="10%"></td>
                                @if ($capital_account)
                                    <td width="10%"><b>{{$capital_account[$key]}}</b></td>    
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                            </tr>


                            <tr>
                                <td width="30%"><b>Sundry Creditors</b></td>
                                <td width="10%"></td>
                                @if ($sundry_creditors_total)
                                    <td width="10%"><b>{{$sundry_creditors_total[$key]}}</b></td>    
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>
                            <tr>
                                <td width="30%"><b>Current Liabilities</b></td>
                                <td width="10%"></td>
                                @if ($current_liabilities)
                                    <td width="10%"><b>{{$current_liabilities[$key]}}</b></td>    
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>

                            {{-- <tr>
                                <td width="30%"><b>Total</b></td>
                                <td width="10%"></td>
                                <td width="10%"><b>{{$total}}</b></td>
                            </tr> --}}

                            
                        </tbody>
                    </table>
                </div>
                <div class="col-md-6">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th colspan="3">Assets</th>
                            </tr>
                        </thead>
                        <tbody>

                            
                            <tr>
                                <td width="30%"><b>Bank Accounts</b></td>
                                <td width="10%"></td>
                                @if ($bank_account_total)
                                <td width="10%"><b>{{$bank_account_total[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>


                            <tr>
                                <td width="30%"><b>Cash In Hands</b></td>
                                <td width="10%"></td>
                                @if ($cash_in_hand_total)
                                <td width="10%"><b>{{$cash_in_hand_total[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>


                            <tr>
                                <td width="30%"><b>Advance</b></td>
                                <td width="10%"></td>
                                @if ($advance_total)
                                <td width="10%"><b>{{$advance_total[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>


                            <tr>
                                <td width="30%"><b>Stock In Hands</b></td>
                                <td width="10%"></td>
                                @if ($stock_in_hand_total)
                                <td width="10%"><b>{{$stock_in_hand_total[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>


                            <tr>
                                <td width="30%"><b>Sundry Debtors</b></td>
                                <td width="10%"></td>
                                @if ($sundry_debtors_total)
                                <td width="10%"><b>{{$sundry_debtors_total[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>
                            <tr>
                                <td width="30%"><b>Current Assets</b></td>
                                <td width="10%"></td>
                                @if ($current_assets)
                                <td width="10%"><b>{{$current_assets[$key]}}</b></td>
                                @else
                                    <td width="10%"><b></b></td>    
                                @endif
                                
                            </tr>

                            
                        </tbody>
                    </table>
                </div>
            </div>
        @endforeach
        
    </div>

</div>
@endsection

@section('js')
<script>

    $('.condense_only').hide();
    function view() {
      var view = $('#condense_detail').val();
      
      if (view == "condense") {
          $('.condense_only').hide();
      }
      if(view == "detail"){
        $('.condense_only').show();
      }
    }

</script>
@endsection
