@extends('layouts.master_user_without_nav')
@section('css')
<style>
    #custom-search-input {
        padding: 3px;
        border: solid 1px #E4E4E4;
        border-radius: 6px;
        background-color: #fff;
    }

    #custom-search-input input {
        border: 0;
        box-shadow: none;
    }

    #custom-search-input button {
        margin: 2px 0 0 0;
        background: none;
        box-shadow: none;
        border: 0;
        color: #666666;
        padding: 0 8px 0 10px;
        border-left: solid 1px #ccc;
    }

    #custom-search-input button:hover {
        border: 0;
        box-shadow: none;
        border-left: solid 1px #ccc;
    }

    #custom-search-input .glyphicon-search {
        font-size: 23px;
    }

    .button-height {
        padding: 20px;
        height: 120px;
    }
    h3{
        text-align: center;
    }
    .test {width:25%;float:left;margin-right:20px}
</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <div class="row m-t-md">
        @can('country-location-master')
            <div class="col-md-4 m-b-md">
                <a href={{url('/main-menu/countries-and-locations')}} class="btn btn-primary block full-width button-height">
                    <h2><strong>Country & Location Master</strong></h2>
                </a>
            </div>
        @endcan
        <div class="col-md-4 m-b-md">
            <a href={{url('/select-country-and-location')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Continue to Dashboard</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
        @can('users-and-privileges-master')
            <div class="col-md-4 m-b-md">
                <a href={{url('/main-menu/users-and-privileges')}} class="btn btn-primary block full-width button-height">
                    <h2><strong>Users & Privileges Master</strong></h2>
                </a>
            </div>
        @endcan
        @can('search-keyword-number-permission')
            <div class="col-md-4 m-b-md">
                <a href={{url('search-keyword-number')}} class="btn btn-primary block full-width button-height">
                    <h2><strong>Search Keyword / Number</strong></h2>
                </a>
                {{-- <button type="button" class=""></button> --}}
            </div>
        @endcan
        @can('stock-search-permission')
            <div class="col-md-4 m-b-md">
                <a href={{url('stock-search')}} class="btn btn-primary block full-width button-height">
                    <h2><strong>Stock Search</strong></h2>
                </a>
                {{-- <button type="button" class=""></button> --}}
            </div>
        @endcan
        @can('view-edit-print-invoice-voucher-permission')
        <div class="col-md-4 m-b-md">
            <a href={{url('view-edit-print-invoice-voucher')}} class="btn btn-primary block full-width button-height">
                <h2><strong>View,Edit,Print Invoice <br> / Voucher</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
        @endcan
        @if (Auth::user()->hasRole('super-admin'))
        <div class="col-md-4 m-b-md">
            <a href={{url('/main-menu/remainders')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Remainders</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
        @endif
        @if (Auth::user()->hasRole('super-admin'))
        <div class="col-md-4 m-b-md">
            <a href={{url('main-menu/notifications')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Notifications</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
        @endif
        <div class="col-md-4 m-b-md">
            <a href={{url('main-menu/chat')}} class="btn btn-primary block full-width button-height">
                <h2><strong>Live Chat</strong></h2>
            </a>
            {{-- <button type="button" class=""></button> --}}
        </div>
    </div>
    @can('report-of-all-countries-locations')
    <div class="hr-line-dashed"></div>
    <div class="row m-t-md">
        <h3>Report of all Countries & Locations</h3>
   </div>
   <div class="row">
       <div class="col-md-4 m-b-md">
           <a href={{url('main-menu/trial-balance/select-date')}} class="btn btn-primary block full-width button-height">
               <h2><strong>Trial Balance</strong></h2>
           </a>
       </div>
       <div class="col-md-4 m-b-md">
           <a href={{url('main-menu/balance-sheet/select-date')}} class="btn btn-primary block full-width button-height">
               <h2><strong>Balance Sheet</strong></h2>
           </a>
           {{-- <button type="button" class=""></button> --}}
       </div>
       <div class="col-md-4 m-b-md">
           <a href={{url('main-menu/profit-and-loss/select-date')}} class="btn btn-primary block full-width button-height">
               <h2><strong>Profit & Loss </strong></h2>
           </a>
       </div>
   </div>
   @endcan
   <div class="row m-t-md">
       <div class="col-md-12">
            <a href="{{ route('logout') }}" onclick="event.preventDefault();
                document.getElementById('logout-form').submit();"
                class="btn btn-primary block full-width button-height">
                <h2><strong>Logout</strong></h2>
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                @csrf
            </form>
       </div>
    </div>
</div>




@endsection

@section('js')
<script>
    function stockSearch(){
    window.location.href="stock-search";
}
</script>
@endsection
