<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Sale Report</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>

<table>
    <tr>
        <th>Date</th>
        <th colspan="2">Sales Invoice</th>
        <th>Commission</th>
    </tr>
    <tr>
      <th></th>
      <th>Invoice Number</th>
      <th>Net Amount</th>
      <th></th>
    </tr>
    @foreach ($sales_invoices as $sales_invoice)
        <tr>
        <td>{{ \Carbon\Carbon::parse($sales_invoice->date)->format('d-m-Y') }}</td>
        <td>Sales Invoice #{{ $sales_invoice-> invoice_no }}</td>
        <td><p><strong>{{ $sales_invoice-> net_total }}</strong></p></td>
        <td>{{ number_format( ($sales_invoice-> net_total / 100) * $salesman->commission , $decimal, '.', '') }}</td>
        </tr>
    @endforeach

</table>

<table>
    
    <tr>
    <th>Date</th>
    <th colspan="2">Credit Note / Sales Return</th>
    <th>Commission</th>
    </tr>
    <tr>
      <th></th>
      <th>Invoice Number</th>
      <th>Net Amount</th>
      <th></th>
    </tr>
    @foreach ($sales_return_vouchers as $sales_return_voucher)
        <tr>
        <td>{{ \Carbon\Carbon::parse($sales_return_voucher->date)->format('d-m-Y') }}</td>
        <td>Sales Return Voucher #{{ $sales_return_voucher-> invoice_no }}</td>
        <td><p><strong>{{ $sales_return_voucher-> net_total }}</strong></p></td>
        <td>{{ number_format( ($sales_return_voucher-> net_total / 100) * $salesman->commission, $decimal, '.', '') }}</td>
        </tr>
    @endforeach
  </table>

</body>
</html>
